Bug 1610768 - [RFE] Include latest version of python-ovirt-engine-sdk4 into the appliance
Summary: [RFE] Include latest version of python-ovirt-engine-sdk4 into the appliance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: MVP
: 5.10.0
Assignee: Satoe Imaishi
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks: 1570563
TreeView+ depends on / blocked
 
Reported: 2018-08-01 12:17 UTC by Martin Perina
Modified: 2019-02-07 23:03 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.17
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:31 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:37 UTC

Description Martin Perina 2018-08-01 12:17:00 UTC
python-ovirt-engine-sdk4 package is required to invoke Ansible playbooks using oVirt Ansible modules, so we need this package to be installed within the appliance.

python-ovirt-engine-sdk4 is distributed within RHV or RHEL Common channel and latest build can always be found in Brew:

https://brewweb.engineering.redhat.com/brew/packageinfo?packageID=57732

Currently latest released version is 4.2.7:

https://errata.devel.redhat.com/advisory/34080

Comment 1 Dave Johnson 2018-08-01 12:45:23 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 2 Brandon Dunne 2018-08-09 22:05:22 UTC
Dependency problems: (RPMs, Python packages, Ruby Gems, Ansible modules, etc.)

Several of us on the platform team met recently to discuss dependency problems and came up with the following decisions:
- The appliance will carry dependencies for the application and any necessary debugging tools
- The application itself will declare all of its dependencies as it has in the past
- Application plugins will declare their dependencies in a way that the application / appliance build code can aggregate and install them
- Customer dependencies will need to be installed and maintained by customers since it is impossible for us to maintain and upgrade that list of dependencies.  We can not guarantee that any changes to these dependencies will not break scripts that are not maintained by the engineering team.

*** This bug has been marked as a duplicate of bug 1573658 ***

Comment 3 Martin Perina 2018-08-15 07:53:28 UTC
(In reply to Brandon Dunne from comment #2)
> Dependency problems: (RPMs, Python packages, Ruby Gems, Ansible modules,
> etc.)
> 
> Several of us on the platform team met recently to discuss dependency
> problems and came up with the following decisions:
> - The appliance will carry dependencies for the application and any
> necessary debugging tools
> - The application itself will declare all of its dependencies as it has in
> the past
> - Application plugins will declare their dependencies in a way that the
> application / appliance build code can aggregate and install them
> - Customer dependencies will need to be installed and maintained by
> customers since it is impossible for us to maintain and upgrade that list of
> dependencies.  We can not guarantee that any changes to these dependencies
> will not break scripts that are not maintained by the engineering team.
> 
> *** This bug has been marked as a duplicate of bug 1573658 ***

The python-ovirt-engine-sdk4 is a dependency of oVirt Ansible modules, which need to be installed on the appliance, other Ansible roles executed from CFME UI will not be working at all.

Comment 5 CFME Bot 2018-09-24 18:02:17 UTC
New commit detected on ManageIQ/manageiq-appliance-build/master:

https://github.com/ManageIQ/manageiq-appliance-build/commit/cc1227ddc54b5cbb613ef7c2f14114b0944b1a3f
commit cc1227ddc54b5cbb613ef7c2f14114b0944b1a3f
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Fri Sep 21 18:39:35 2018 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Sep 21 18:39:35 2018 -0400

    Add python-ovirt-engine-sdk4
    https://bugzilla.redhat.com/show_bug.cgi?id=1610768

    Add ovirt-ansible-roles
    https://bugzilla.redhat.com/show_bug.cgi?id=1610798

 kickstarts/base.ks.erb | 2 +
 kickstarts/partials/post/ovirt_ansible.ks.erb | 5 +
 2 files changed, 7 insertions(+)

Comment 6 Ilanit Stein 2018-10-02 10:06:38 UTC
Verified on CFME-5.10.0.17, python-ovirt-engine-sdk4 package is latest:
python-ovirt-engine-sdk4-4.2.8-1.el7ev.x86_64

Comment 7 errata-xmlrpc 2019-02-07 23:03:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.